<?php
namespace App\Models;
use App\Models\BaseModel;
/**
 *  @description 使用说明
 *  @author  system;
 *  @version    1.0
 *  @date 2018-06-07 07:34:45
 *
 */
class IntroductionInfoModel extends BaseModel
{
    /**
     * 数据表名
     *
     * @var string
     *
     */
    protected $table = 'introduction_info';
    /**
    主键
     */
    protected $primaryKey = 'id';

    //分页
    protected $perPage = PAGE_NUMS;

    /**
     * 可以被集体附值的表的字段
     *
     * @var string
     */
    protected $fillable = [
                           'title',
                           'content',
                           'type'
                          ];

    public function type(){
        if((new IntroductionInfoModel())->find($this->id)->type == 0){
            return '使用说明';
        }else{
            return '使用协议';
        }
    }

}